The v1 API will be sunset on August 21, 2026. Migrate to v2. Read the migration guide →
Paytrie Developer Documentation
API ReferenceTransactions

Post Transaction

View as Markdown
POST
/transaction

Creates a new transaction for buying/selling stablecoins with CAD

Authorization

ApiKeyAuth BearerAuth
x-api-key<token>

API key

In: header

AuthorizationBearer <token>

JWT token obtained from login endpoints

In: header

Header Parameters

x-api-key*string
Authorization*string

JWT token from login endpoints

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/transaction" \  -H "x-api-key: ABC1234" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "leftSideLabel": "CAD",    "leftSideValue": 1000,    "rightSideLabel": "USDC-ETH",    "wallet": "0x05a238198541d076B4fc74254Cd426A8C8e84D32"  }'
{  "message": "New transaction created",  "status": "success",  "tx": "3943bb00-1551-4f1d-bf32-2d82608bc15e",  "depositAddress": "0x1234567890123456789012345678901234567890",  "rmt": "e021555a-3b08-4933-b07c-b8eac9036f32"}